MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0032219Open CASCADE[OCCT] OCCT:Visualizationpublic2021-03-16 21:192021-03-23 21:46
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityintegration request 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0032219: Visualization, TKService - drop dependency from OpenGL
DescriptionDependency of TKService from OpenGL libraries is illogical and should be eliminated.
This dependency appears from Xw_Window code choosing most suitable XVisual using GLX functions - this logic can be moved to OpenGl_GraphicDriver.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships

-  Notes
(0099537)
kgv (developer)
2021-03-16 23:51

Patch is ready for review
- OCCT: branch CR32219.

http://jenkins-test-12.nnov.opencascade.com:8080/view/CR32219-master-KGV/ [^]
(0099541)
osa (developer)
2021-03-17 11:17

The patch was reviewed without remarks
(0099607)
bugmaster (administrator)
2021-03-20 12:49

Combination -
OCCT branch : IR-2021-03-19
master SHA - d209b3176e21010e096833052698f1c0da5b04d5
a87b7ddc8cb44606b91e3f37113847c3f5f50fdc
Products branch : IR-2021-03-19 SHA - 6baf3a921c29525981c0ad7881214c9b20ffe3c1
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17753.85000000016 / 17750.250000000156 [+0.02%]
Products
Total CPU difference: 11481.660000000102 / 11540.5800000001 [-0.51%]
Windows-64-VC14:
OCCT
Total CPU difference: 19361.09375 / 19341.28125 [+0.10%]
Products
Total CPU difference: 12879.75 / 12869.921875 [+0.08%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

- Related Changesets
occt: master 3ae8c60b
Timestamp: 2021-03-10 10:50:45
Author: kgv
Committer: bugmaster
Details ] Diff ]
0032219: Visualization, TKService - drop dependency from OpenGL

Visual selection has been moved out from Xw_Window constructor to OpenGl_GraphicDriver::InitContext().
Default Visual is now stored within Aspect_DisplayConnection.
mod - src/Aspect/Aspect_DisplayConnection.cxx Diff ] File ]
mod - src/Aspect/Aspect_DisplayConnection.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_GraphicDriver.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_GraphicDriver.hxx Diff ] File ]
mod - src/TKService/EXTERNLIB Diff ] File ]
mod - src/Xw/Xw_Window.cxx Diff ] File ]
mod - src/Xw/Xw_Window.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2021-03-16 21:19 kgv New Issue
2021-03-16 21:19 kgv Assigned To => kgv
2021-03-16 23:51 kgv Note Added: 0099537
2021-03-16 23:51 kgv Assigned To kgv => osa
2021-03-16 23:51 kgv Status new => resolved
2021-03-17 11:17 osa Note Added: 0099541
2021-03-17 11:17 osa Assigned To osa => bugmaster
2021-03-17 11:17 osa Status resolved => reviewed
2021-03-20 12:49 bugmaster Note Added: 0099607
2021-03-20 12:49 bugmaster Status reviewed => tested
2021-03-20 12:54 bugmaster Test case number => Not required
2021-03-23 21:46 bugmaster Changeset attached => occt master 3ae8c60b
2021-03-23 21:46 bugmaster Status tested => verified
2021-03-23 21:46 bugmaster Resolution open => fixed


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker